Associate server group to the storage pool with the DDB or/and Storage Role
API to manage Server Groups associated with the Storage Pool
Path Parameters
- storagePoolId int32 required
Id of the Storage Pool
- application/json
Request Body
serverGroups object[] required
List of server groups to associate with storage pool.
id int32name string- action string required
Possible values: [
ADD_DDB_ROLE,ADD_STORAGE_ROLE,ADD_DDB_AND_STORAGE_ROLE]Action to be performed with server group.
- accessType string required
Possible values: [
READ,READ_WRITE]Specifies the access type for the server group. This value typically represents different levels of access permissions such as read or read-write
Responses
- 200
- 400
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...